JNA API 3.3.0

## com.sun.jna.platform.win32
Class Advapi32Util.EventLogIterator

    java.lang.Object
      com.sun.jna.platform.win32.Advapi32Util.EventLogIterator

All Implemented Interfaces:
  Iterable<Advapi32Util.EventLogRecord>, Iterator<Advapi32Util.EventLogRecord>

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.EventLogIterator

extends Object
implements Iterable<Advapi32Util.EventLogRecord>, Iterator<Advapi32Util.EventLogRecord>

An iterator for Event Log entries.

Constructor Summary
`Advapi32Util.EventLogIterator(String sourceName)`
`Advapi32Util.EventLogIterator(String serverName, String sourceName, int flags)`

Method Summary
`void` | `close()` Call close() in the case when the caller needs to abandon the iterator before the iteration completes.
`boolean` | `hasNext()`
`Iterator<Advapi32Util.EventLogRecord>` | `iterator()`
`Advapi32Util.EventLogRecord` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Advapi32Util.EventLogIterator

    public Advapi32Util.EventLogIterator(String sourceName)

### Advapi32Util.EventLogIterator

    public Advapi32Util.EventLogIterator(String serverName,
                                         String sourceName,
                                         int flags)

Method Detail

### close

    public void close()

  Call close() in the case when the caller needs to abandon the iterator before the iteration completes.

### iterator

    public Iterator<Advapi32Util.EventLogRecord> iterator()

  Specified by:
    `iterator` in interface `Iterable<Advapi32Util.EventLogRecord>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Advapi32Util.EventLogRecord>`

### next

    public Advapi32Util.EventLogRecord next()

  Specified by:
    `next` in interface `Iterator<Advapi32Util.EventLogRecord>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Advapi32Util.EventLogRecord>`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.